class ToolbarAppEventTarget extends EventTarget {
  constructor() {
    super();
  }
  notify(options) {
    this.dispatchEvent(
      new CustomEvent("toggle-notification", {
        detail: {
          state: options.state,
          level: options.level
        }
      })
    );
  }
  changeAppState(options) {
    this.dispatchEvent(
      new CustomEvent("app-toggled", {
        detail: {
          state: options.state
        }
      })
    );
  }
  onAppToggled(callback) {
    this.addEventListener("app-toggled", (evt) => {
      if (!(evt instanceof CustomEvent))
        return;
      callback(evt.detail);
    });
  }
}
const serverHelpers = {
  send: (event, payload) => {
    if (import.meta.hot) {
      import.meta.hot.send(event, payload);
    }
  },
  on: (event, cb) => {
    if (import.meta.hot) {
      import.meta.hot.on(event, cb);
    }
  }
};
export {
  ToolbarAppEventTarget,
  serverHelpers
};
